// --------------------------------------------------------------------
// Panel Fuel
// --------------------------------------------------------------------

function panel_fuel_update(KaTZPit_data){
	
	// Calculateur de consommation et d'autonomie ------------------------------------

		
		
	// Affichage quantites et consommation , range ----------------------------------------------
	document.getElementById('Fuel_In').innerHTML = Fuel_Scale(KaTZPit_data["Fuel_AV"]).toFixed(0)
	
					
		
	// Position des Vannes (Fonctionnement des voyants de vannes Droite et Gauche inversé)
		if (KaTZPit_data["Fuel_V_L"] ==1) {
			$("#F-Vanne-G").attr('src','images/fuel/FV-Vanne_V_O.gif')
			$("#F-Vanne-G").data('internal-id','10200100')}
		else {
			$("#F-Vanne-G").attr('src','images/fuel/FV-Vanne_V_F.gif')
			$("#F-Vanne-G").data('internal-id','10200101')}
			
		if (KaTZPit_data["Fuel_V_R"] ==1) {
			$("#F-Vanne-D").attr('src','images/fuel/FV-Vanne_V_O.gif')
			$("#F-Vanne-D").data('internal-id','10200200')}
		else {
			$("#F-Vanne-D").attr('src','images/fuel/FV-Vanne_V_F.gif')
			$("#F-Vanne-D").data('internal-id','10200201')}
			
		if (KaTZPit_data["APU_V_Fuel"] ==1) {
			$("#F-Vanne-APU").attr('src','images/fuel/FV-Vanne_V_O.gif')
			$("#F-Vanne-APU").data('internal-id','10301000')}
		else {
			$("#F-Vanne-APU").attr('src','images/fuel/FV-Vanne_V_F.gif')
			$("#F-Vanne-APU").data('internal-id','10301001')}
			
		if (KaTZPit_data["Fuel_V_X"] ==1) {
			$("#F-Vanne-X").attr('src','images/fuel/FV-Vanne_H_O.gif')
			$("#F-Vanne-X").data('internal-id','10200400')}
		else {
			$("#F-Vanne-X").attr('src','images/fuel/FV-Vanne_H_F.gif')
			$("#F-Vanne-X").data('internal-id','10200401')}

	// Voyant des Cut Off et du frein de Rotor
		if (KaTZPit_data["COff_L"] ==1000) {
			$("#FV-CutOff-G").attr('src','images/fuel/FV_Cutoff_Off.gif')
			$("#FV-CutOff-G").data('internal-id','10300900')}
		else {
			$("#FV-CutOff-G").attr('src','images/fuel/FV_Cutoff_On.gif')
			$("#FV-CutOff-G").data('internal-id','10300901')}
			
		if (KaTZPit_data["COff_R"] ==1000) {
			$("#FV-CutOff-D").attr('src','images/fuel/FV_Cutoff_Off.gif')
			$("#FV-CutOff-D").data('internal-id','10301000')}
		else {
			$("#FV-CutOff-D").attr('src','images/fuel/FV_Cutoff_On.gif')
			$("#FV-CutOff-D").data('internal-id','10301001')}
		
		if (KaTZPit_data["Rot_Brk"] == 1) {
			$("#FV-RotBrk").attr('src','images/fuel/FV_RotorBtk_On.gif')
			$("#FV-RotBrk").data('internal-id','10301100')}
		else {
			$("#FV-RotBrk").attr('src','images/fuel/FV_RotorBtk_Off.gif')
			$("#FV-RotBrk").data('internal-id','10301101')}


	// Fonctionnement des Pompes de Carburant
		if (KaTZPit_data["Fuel_M_AV"] == 1) {
			$("#F-Pump-AV").attr('src','images/fuel/FV_Pump_M.gif')
			$("#F-Pump-AV").data('internal-id','10200300')}
		else {
			$("#F-Pump-AV").attr('src','images/fuel/FV_Pump_A.gif')
			$("#F-Pump-AV").data('internal-id','10200301')}
		
		if (KaTZPit_data["Fuel_M_AR"] ==1) {
			$("#F-Pump-AR").attr('src','images/fuel/FV_Pump_M.gif')
			$("#F-Pump-AR").data('internal-id','10200500')}
		else {
			$("#F-Pump-AR").attr('src','images/fuel/FV_Pump_A.gif')
			$("#F-Pump-AR").data('internal-id','10200501')}
			
		if (KaTZPit_data["Fuel_M_C"] ==1) {
			$("#F-Pump-C").attr('src','images/fuel/FV_Pump_M.gif')
			$("#F-Pump-C").data('internal-id','10200600')}
		else {
			$("#F-Pump-C").attr('src','images/fuel/FV_Pump_A.gif')
			$("#F-Pump-C").data('internal-id','10200601')}	
				
		
		
	// RPM Moteur et Rotor
		document.getElementById('F-RPM-G').innerHTML = KaTZPit_data["RPM_L"]
		document.getElementById('F-RPM-D').innerHTML = KaTZPit_data["RPM_R"]
		document.getElementById('F-RPM-RO').innerHTML = KaTZPit_data["RPM_Rot"]
		
	// Selecteur de moteur
		// Left / Right		
		if (KaTZPit_data["Start_Sel"] ==-1) {$("#F-SW-1").attr('src','images/Switch-ga.gif')}	
		if (KaTZPit_data["Start_Sel"] ==0) {$("#F-SW-1").attr('src','images/Switch-H-mid.gif')}	
		if (KaTZPit_data["Start_Sel"] ==1) {$("#F-SW-1").attr('src','images/Switch-dr.gif')}		
		
	// Selecteur de type de démarrage
		// Start / Crank / False		
		if (KaTZPit_data["Start_Typ"] ==1) {$("#F-SW-2").attr('src','images/Switch-haut.gif')}	
		if (KaTZPit_data["Start_Typ"] ==0) {$("#F-SW-2").attr('src','images/Switch-V-mid.gif')}	
		if (KaTZPit_data["Start_Typ"] ==-1) {$("#F-SW-2").attr('src','images/Switch-bas.gif')}		
		
	// Voyants de démarrage
		// Ignition		
		if (KaTZPit_data["Start_V_1"] ==1) {$("#Start-V-1").fadeIn()} else {$("#Start-V-1").fadeOut()}
		if (KaTZPit_data["Start_V_2"] ==1) {$("#Start-V-2").fadeIn()} else {$("#Start-V-2").fadeOut()}

}
	
function panel_rotor_update(KaTZPit_data){		
	// TEMPORAIRE ROTOR PANEL
		// IAS en "km/h"
		// Echelle non linéaire conveti par la fonction IAS_L() de function_convert_scale.js
		document.getElementById('IAS_0').innerHTML = IAS_L(KaTZPit_data["IAS"]).toFixed(0)
		
		document.getElementById('Vario_0').innerHTML = Vario_L(KaTZPit_data["Vario"]).toFixed(1)
		
		// Pitch en degré
		// Echelle non linéaire conveti par la fonction RotorPitch() de function_convert_scale.js
		document.getElementById('RPM_Rot').innerHTML = KaTZPit_data["RPM_Rot"]
		document.getElementById('Pitch_Rot').innerHTML = RotorPitch(KaTZPit_data["Pitch_Rot"]).toFixed(1)	

		// Valeur en test
		document.getElementById('Test_val').innerHTML = KaTZPit_data["Start_Sel"]	
		
		if (IAS_L(KaTZPit_data["IAS"]) > 250) {$("#RV-Speed").fadeIn()} else {$("#RV-Speed").fadeOut()}
		if (IAS_L(KaTZPit_data["IAS"]) < 50 && Vario_L(KaTZPit_data["Vario"]) < -5) {$("#RV-Vortex").fadeIn()} else {$("#RV-Vortex").fadeOut()}
		
		// Jauge de puissance Moteur gestion gauche droite et index
		var i_Pow_Lpct = Math.max((KaTZPit_data["Power_L"] - 50) / 50 , 0)
		var i_Pow_Rpct = Math.max((KaTZPit_data["Power_R"] - 50) / 50 , 0)
		var i_pow_X = (KaTZPit_data["Power_X"])		
		
		Jauge_Power(i_Pow_Lpct, i_Pow_Rpct, i_pow_X )
		//console.log(i_pow_X)
		
}		

function panel_oil_update(KaTZPit_data){	

	//  OIL PANEL
	// Affichage température couleur rouge si < 35°C , Vert = OK
		document.getElementById('O-Deg-G').innerHTML = KaTZPit_data["Oil_L_deg"]
		if (KaTZPit_data["Oil_L_deg"] < 30){document.getElementById('O-Deg-G').style.color = 'red'}
		else {document.getElementById('O-Deg-G').style.color = 'green'}

		document.getElementById('O-Deg-D').innerHTML = KaTZPit_data["Oil_R_deg"]
		if (KaTZPit_data["Oil_R_deg"] < 30){document.getElementById('O-Deg-D').style.color = 'red'}
		else {document.getElementById('O-Deg-D').style.color = 'green'}
	
		document.getElementById('O-Deg-GB').innerHTML = KaTZPit_data["Oil_G_deg"]
		if (KaTZPit_data["Oil_G_deg"] < -15){document.getElementById('O-Deg-GB').style.color = 'red'}
		else {document.getElementById('O-Deg-GB').style.color = 'green'}

	// Affichage pressions couleur rouge si < 2.0 kg/cm² , Vert = OK
		document.getElementById('O-Pre-G').innerHTML = (KaTZPit_data["Oil_L_pre"]/10).toFixed(1)
		if (KaTZPit_data["Oil_L_pre"] < 20){document.getElementById('O-Pre-G').style.color = 'red'}
		else {document.getElementById('O-Pre-G').style.color = 'green'}
		
		document.getElementById('O-Pre-D').innerHTML = (KaTZPit_data["Oil_R_pre"]/10).toFixed(1)
		if (KaTZPit_data["Oil_R_pre"] < 20){document.getElementById('O-Pre-D').style.color = 'red'}
		else {document.getElementById('O-Pre-D').style.color = 'green'}
		
		document.getElementById('O-Pre-GB').innerHTML =(KaTZPit_data["Oil_G_pre"]/10).toFixed(1)
		if (KaTZPit_data["Oil_G_pre"] < 5){document.getElementById('O-Pre-GB').style.color = 'red'}
		else {document.getElementById('O-Pre-GB').style.color = 'green'}
		
		document.getElementById('O-Deg-EG').innerHTML = KaTZPit_data["Eng_L_deg"]
		document.getElementById('O-Deg-ED').innerHTML = KaTZPit_data["Eng_R_deg"]
		
		
}


function Jauge_Power(pct_L, pct_R, index){

	var x_gain = -1.1

	// Jauge Gauche
	// On fixe l'origine du "scale down" en bas
	$("#R_Power_L").css({
	'-moz-transform-origin':'bottom left',
	'-webkit-transform-origin':'bottom left',
	'-ms-transform-origin':'bottom left',
	})

	// Scale down %age restant = hauteur barre orange
	$("#R_Power_L").css({
	'-moz-transform':'scaleY('+pct_L+')',
	'-webkit-transform':'scaleY('+pct_L+')',
	'-ms-transform':'scaleY('+pct_L+')',
	})

		
	// Jauge Droite
	// On fixe l'origine du "scale down" en bas
	$("#R_Power_R").css({
	'-moz-transform-origin':'bottom left',
	'-webkit-transform-origin':'bottom left',
	'-ms-transform-origin':'bottom left',
	})

	// Scale down %age restant = hauteur barre orange
	$("#R_Power_R").css({
	'-moz-transform':'scaleY('+pct_R+')',
	'-webkit-transform':'scaleY('+pct_R+')',
	'-ms-transform':'scaleY('+pct_R+')',
	})
	
	// Translation de l'index
	// valup : positif = Translation vers le bas , changement du signe DCS
	$("#R_Power_X").css({
	'-moz-transform':'translate(0px,'+(x_gain * index)+'px)',
	'-webkit-transform':'translate(0px,'+(x_gain * index)+'px)',
	'-ms-transform':'translate(0px,'+(x_gain * index)+'px)',
	})

}

function Start_Switch(sel,typ){

	var x_gain = 5.5

	// Utilisé sur KA Digital
	// Calcul de la position des selecteurs de type de demarrage et de selection moteur
	// Translation de l'image vers la droite
	
	$("#F-SVC").css({
	'-moz-transform':'translate('+(x_gain * typ)+'px, 0px)',
	'-webkit-transform':'translate('+(x_gain * typ)+'px, 0px)',
	'-ms-transform':'translate('+(x_gain * typ)+'px, 0px)',
	})

	$("#F-1APU2").css({
	'-moz-transform':'translate('+(x_gain * sel)+'px,0px)',
	'-webkit-transform':'translate('+(x_gain * sel)+'px,0px)',
	'-ms-transform':'translate('+(x_gain * sel)+'px,0px)',
	})



}
